function [numPts, Pts] = ReadInStartAuto(fileLocation)

  % Determine number of coordinates
  fileIn = fopen(fileLocation,'r');
  textline = fgetl(fileIn);
  numPoints = str2num(textline);
  textline = fgetl(fileIn);
  numVars = -1;
  while(strcmp(textline,'')==0 || numVars==-1)
    textline = fgetl(fileIn);
    numVars = numVars + 1;
  end;
  fclose(fileIn);
  fprintf(['Reading file: ',fileLocation,'\n']);
  fprintf(['Found ',num2str(numPoints),' points in ',num2str(numVars),' coordinates.\n']);

  % open file
  RF = fopen(fileLocation, 'r');

  % make sure the file exists
  if RF == -1
      % file does not exist
      disp(['The file ''', fileLocation, ''' does not exist!']);
      numPts = 0;
      Pts = 0;
      return;
  end;

  % read in the number of points
  numPts = fscanf(RF, '%d', 1);

  % setup Pts
  Pts = zeros(numPts, numVars);

  % loop through to read in the points
  tempR = 0; tempI = 0;
  for k = 1:numPts
      A = fscanf(RF,'%e',2*numVars);
      Pts(k,:) = A(1:2:end) + 1i*A(2:2:end);
      % read in the point
  %    for j = 1:numVars
  %        tempR = fscanf(RF, '%e', 1);
  %        tempI = fscanf(RF, '%e', 1);
  %        Pts(k,j) = tempR + 1i * tempI;
  %    end;
  end;

  % close file
  fclose(RF);

return;
